[android-components](../../index.md) / [mozilla.components.browser.engine.system](../index.md) / [SystemEngineSessionState](./index.md)

# SystemEngineSessionState

`class SystemEngineSessionState : `[`EngineSessionState`](../../mozilla.components.concept.engine/-engine-session-state/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-system/src/main/java/mozilla/components/browser/engine/system/SystemEngineSessionState.kt#L11)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `SystemEngineSessionState(bundle: <ERROR CLASS>?)` |

### Functions

| Name | Summary |
|---|---|
| [toJSON](to-j-s-o-n.md) | `fun toJSON(): <ERROR CLASS>`<br>Create a JSON representation of this state that can be saved to disk. |

### Companion Object Functions

| Name | Summary |
|---|---|
| [fromJSON](from-j-s-o-n.md) | `fun fromJSON(json: <ERROR CLASS>): `[`SystemEngineSessionState`](./index.md) |
